Show / Hide Table of Contents

# Class GuildUpdateAuditLogData

Contains a piece of audit log data related to a guild update.

##### Inheritance

System.Object
GuildUpdateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class GuildUpdateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### After

Gets the guild information after the changes.

##### Declaration

    public GuildInfo After { get; }

##### Property Value

Type | Description
--- | ---
GuildInfo | An information object containing the guild information after the changes were made.

| Improve this Doc View Source

#### Before

Gets the guild information before the changes.

##### Declaration

    public GuildInfo Before { get; }

##### Property Value

Type | Description
--- | ---
GuildInfo | An information object containing the original guild information before the changes were made.

### Implements

IAuditLogData